Issues in Isometric drawing mode

Hi Everybody,

As you know there are two styles in drawing in Bricscad i.e. Standard and Isometric. I  am working in Isometric style for creating isometric drawings by changing the style i.e

 Snap -> Style -> Isometric , now when i am drawing in isomteric while changing the plane i.e. either Left/Right/Top the rubber banding does not  change as the plane changes, which means if i have to draw the object by changing the plane i need to cancel the command and change the plane first then start drawing this is a time consuming task, and this works fine in AutoCAD so can you guys tell me some solution to this,  do i have to set some system variable to get it right.

Thanks in advance

Sanjay.

 

 

 

Comments

  • I found Snap Iso too cumbersome to summon up altogether a long time ago.

    I have a lisp called ROT.lsp (below) which loads with on_doc_load.lsp - (LOAD "ROT")

    I just type 30, 60, 15, 0 etc (+CR) and the axes turn around. The default angle for text follows the axes around too - you can take or leave that part.

    PASTE CODE HERE

    (defun txtrot () (setvar "textangle" (getvar "snapang")))
    (defun c:0 () (setvar "snapang" 0)(txtrot))
    (defun c:10 () (setvar "snapang" (* PI (/ 10.0 180.0)))(txtrot))
    (defun c:15 () (setvar "snapang" (* PI (/ 15.0 180.0)))(txtrot))
    (defun c:30 () (setvar "snapang" (/ pi 6))(txtrot))
    (defun c:45 () (setvar "snapang" (/ pi 4))(txtrot))
    (defun c:60 () (setvar "snapang" (/ pi 3))(txtrot))
    (defun c:75 () (setvar "snapang" (* pi (/ 75.0 180.0)))(txtrot))
    (defun c:80 () (setvar "snapang" (* pi (/ 80.0 180.0)))(txtrot))
    (defun c:90 () (setvar "snapang" (/ pi 2))(txtrot))

  • Hi!

    Same problem here ...but: if you scroll (mouse) 1 time up and 1 time down, you'll see the rubberband! Or PAN with the mouse ...

    With LISP - no way ... not yet  :(

  • Hi W, there are some posters here who frighten me with their familiarity with different programming methods.

    I'm not the sharpest knife in the drawer, but I got a reasonable grasp of lisp with just a bit of reading before the internet came along.

    It would perhaps be easier now with tools like google and I really feel CAD users are missing out on a lot by avoiding lisp.

    The dawn of a new age came for me when I typed (+ 2 2) on the command line and it said 4.

  • @John: do you use your lisp in combination with Snap -> Style -> Isometric?

  • No Roy, I wrote it because Snap Iso was too slow to get at and I didn't find the triple axis much help.

    I find it more handy to have other angles available and default text angle change with it.

    I can use the same action - typing "30" or "15" for other operations in addition to isometric drawings.

    It seems like I don't have to stop and think "what's next" so often.

    Also from memory I might have had other lisps which did not behave properly using Snap Iso - one offsets lines at the snapangle, multiplying the true distance by 0.8 (the isometric forshortening distance I use). Saves calculating it.

This discussion has been closed.